# Command: rdevdict::uniform_int

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    rdevdict::uniform_int - uniform integer random deviate generator

Description:

    Generates uniformly distributed integers between two given limits

      p(n) = 1 / (high	- low + 1),   n = low, low+1, ..., high

Parameters:

      low	- smallest allowed random number
      high	- largest allowed random number

Author:

    Hans Ekkehard Plesser

SeeAlso:

- CreateRDV
- RandomArray
- rdevdict

Source:

    /opt/conda/conda-bld/nest_1512418852064/work/nest-2.12.0/librandom/uniformint_randomdev.h

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative